<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" class="h-100">
<head>
	<title>Papers</title>
	<meta charset="utf-8">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="theme-color" content="#7952b3">
	<link rel="icon" href="/assets/icons/favicon.ico" type="image/x-icon"/>

	<!-- Bootstrap core CSS -->
	<link href="/assets/css/bootstrap.min.css" rel="stylesheet">

	<style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      main > .container {
		padding: 60px 15px 0;
	  }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>


</head>
<body class="d-flex flex-column h-100">

	<header>
	  <!-- Fixed navbar -->
	  <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
	    <div class="container-fluid">
	      <a class="navbar-brand" href="/">Paper App</a>
	      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
	        <span class="navbar-toggler-icon"></span>
	      </button>
	      <div class="collapse navbar-collapse" id="navbarCollapse">
	        <ul class="navbar-nav me-auto mb-2 mb-md-0">
	          
	        </ul>
	        <div class="d-flex">
	        	<ul class="navbar-nav me-auto mb-2 mb-md-0">
                    <li class="nav-item active">
	            		<a class="nav-link" href="/papers">Papers</a>
					</li>
	          		<li class="nav-item">
	            		<a class="nav-link" href="/authors">Authors</a>
					</li>
					<li class="nav-item">
	            		<a class="nav-link" href="/reviewers">Reviewers</a>
                    </li>
                    <li class="nav-item ">
	            		<a class="nav-link" href="/universities">Universities</a>
					</li>
					  
	        	</ul>

	        </div>
	      </div>
	    </div>
	  </nav>
	</header>









	<!-- Begin page content -->
	<main class="flex-shrink-0">
	  <div class="container">
		
		
		<div class="row">
			<div class="col-md-7">
				<h1 class="mt-5">Papers</h1>
			</div>
			<div class="col-md-5">

				<form action="#" th:action="@{/papers/search/}" method="get" class="mt-5">
					<div class="input-group mb-3">
						<a href="/add_paper" class="btn btn-success me-2">Add</a>

						<!-- no filter -->
						<input th:if="${key == null}" class="form-control" type="search" placeholder="Search a paper" aria-label="Search a paper" id="keyword" name="keyword">
						<!-- filter -->
						<input th:if="${key != null}" class="form-control" type="search" th:placeholder="${key}" aria-label="Search a paper" id="keyword" name="keyword">
						
						<button class="btn btn-outline-success" type="submit">Search</button>
						<a class="btn btn-outline-danger" href="/papers">Reset</a>
					</div>
					
				</form>			
				
			</div>

		</div>
		


		<table class="table">
			<thead>
				<tr>
					<th scope="col">#</th>
					<th scope="col">DOI</th>
					<th scope="col">Title</th>
					<th scope="col">SubTitle</th>
					<th scope="col">Pubblication Date</th>
					<th scope="col">Number of Citations</th>
					<th scope="col"></th>
				</tr>
			</thead>
			<tbody>
				
				<tr th:each="paper : ${papers}">

					<th th:text="${paper.getId()}"></th>
					<td th:text="${paper.getDoi()}"></td>
					<td th:text="${paper.getTitle()}"></td>
					<td th:text="${paper.getSubTitle()}"></td>
					<td th:text="${paper.getFormattedPubDate()}"></td>
					<td th:text="${paper.getNcit()}"></td>
					<td>
						<div style="float: right;">
							<a th:href="@{/papers/{id}(id = ${paper.getId()})}" class="btn btn-primary">Go</a>
							<a th:href="@{/papers/edit/{id}(id = ${paper.getId()})}" class="btn btn-warning">Edit</a>
							<a th:href="@{/papers/delete/{id}(id = ${paper.getId()})}" class="btn btn-danger">Delete</a>
						</div>
					</td>

				</tr>

			</tbody>
		</table>
	    
	  </div>
	</main>











	<footer class="footer mt-auto py-3 bg-light">
	  <div class="container">
	    <span class="text-muted">Made with ❤️ by <a href="https://github.com/derogab">@derogab</a>, <a href="https://github.com/dlcgold">@dlcgold</a> and <a href="https://github.com/fdila">@fdila</a>.</span>
	  </div>
	</footer>

	<script src="/assets/js/bootstrap.bundle.min.js"></script>

</body>
</html>
